

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Network igraphx_simulations.simulations &mdash; NetExt1 1 documentation</title>
  

  
  
  
  

  
  <script type="text/javascript" src="_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
        <script src="_static/language_data.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Network network_extensions.semantic" href="semantic.html" />
    <link rel="prev" title="Network network_extensions.multilayer" href="multilayer.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="index.html" class="icon icon-home"> NetExt1
          

          
          </a>

          
            
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="igraphx.html">Network network_extensions.igraphx</a></li>
<li class="toctree-l1"><a class="reference internal" href="multilayer.html">Network network_extensions.multilayer</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Network igraphx_simulations.simulations</a></li>
<li class="toctree-l1"><a class="reference internal" href="semantic.html">Network network_extensions.semantic</a></li>
<li class="toctree-l1"><a class="reference internal" href="structure_simulations.html">Result structure of a simulation</a></li>
<li class="toctree-l1"><a class="reference internal" href="graph_plotly.html">Helpers for plotly</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">NetExt1</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="index.html">Docs</a> &raquo;</li>
        
      <li>Network igraphx_simulations.simulations</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="_sources/simulations.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="module-igraphx_simulations.simulations">
<span id="network-igraphx-simulations-simulations"></span><h1>Network igraphx_simulations.simulations<a class="headerlink" href="#module-igraphx_simulations.simulations" title="Permalink to this headline">¶</a></h1>
<dl class="function">
<dt id="igraphx_simulations.simulations.calculate_diffs">
<code class="sig-prename descclassname">igraphx_simulations.simulations.</code><code class="sig-name descname">calculate_diffs</code><span class="sig-paren">(</span><em class="sig-param">simulations, graphproperties, typs=['graphs', 'largest_component']</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/igraphx_simulations/simulations.html#calculate_diffs"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#igraphx_simulations.simulations.calculate_diffs" title="Permalink to this definition">¶</a></dt>
<dd><p>Calculate the difference (difference and quotient of real value and simulations.
Returns the means difference over the whole time period.
The differences are added to the graph properties
:param simulations: Results of simulations
:param graphproperties: Values of the year graphs for some properties, differences and quotient will be added here!
:param typs: (optional) defaults to “graphs” and “largest component”
:param props: (options) props to be calculates defaults to [“no_nodes”,”no_edges”,”no_nodes_div_edges”]
:return:</p>
</dd></dl>

<dl class="function">
<dt id="igraphx_simulations.simulations.simulate_largest_components">
<code class="sig-prename descclassname">igraphx_simulations.simulations.</code><code class="sig-name descname">simulate_largest_components</code><span class="sig-paren">(</span><em class="sig-param">ynw</em>, <em class="sig-param">typ=None</em>, <em class="sig-param">iterations=10</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/igraphx_simulations/simulations.html#simulate_largest_components"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#igraphx_simulations.simulations.simulate_largest_components" title="Permalink to this definition">¶</a></dt>
<dd><p>this method takes a year-network and creates - simular graphs with Erdos_Renyi and Barabasi
and returns yeargraphs for both cases and the development of some graph properties
(no of nodes and no of edges)</p>
</dd></dl>

</div>


           </div>
           
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="semantic.html" class="btn btn-neutral float-right" title="Network network_extensions.semantic" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="multilayer.html" class="btn btn-neutral float-left" title="Network network_extensions.multilayer" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2019, Dirk Wintergrün

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>